path: /build/build/libgnomecanvas-gnome-base-2.30.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-glade -test prefix" emerge gnome-base/libgnomecanvas -pv -t && \
    USE="-glade -test prefix" emerge -j ${JOBS} --nodeps gnome-base/libgnomecanvas
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libgnomecanvas && luet-portage --dir
    /pkgdir/libgnomecanvas gnome-base/libgnomecanvas && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a4cb95568712443c951fdee425f683b838de5df5c88a43747129a7e73bf3559b
  package:
    name: libgnomecanvas
    version: 2.30.3
    category: gnome-base
    use_flags:
    - -glade
    - -test
    - prefix
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The Gnome 2 Canvas library
    uri:
    - https://library.gnome.org/devel/libgnomecanvas/stable/
    license: LGPL-2
    buildtimestamp: 2023-09-26 18:19:17.828704646 +0000 UTC m=+105.538610092
    labels:
      DEPEND: '>=dev-libs/glib-2.62.2:2[-mgorny(-)] >=x11-libs/gtk+-2.24.23:2[-mgorny(-)]
        >=media-libs/libart_lgpl-2.3.21-r2[-mgorny(-)] >=x11-libs/pango-1.44.7[-mgorny(-)]
        glade? ( >=gnome-base/libglade-2.6.4-r1:2.0[-mgorny(-)] ) >=dev-lang/perl-5
        sys-devel/gettext >=dev-util/intltool-0.35 >=virtual/pkgconfig-0-r1[-mgorny(-)]
        >=app-portage/elt-patches-20170815 dev-util/desktop-file-utils x11-misc/shared-mime-info
        test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost )'
      IUSE: glade abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64 test
      RDEPEND: '>=dev-libs/glib-2.62.2:2[-mgorny(-)] >=x11-libs/gtk+-2.24.23:2[-mgorny(-)]
        >=media-libs/libart_lgpl-2.3.21-r2[-mgorny(-)] >=x11-libs/pango-1.44.7[-mgorny(-)]
        glade? ( >=gnome-base/libglade-2.6.4-r1:2.0[-mgorny(-)] )'
      emerge.packages: gnome-base/libgnomecanvas
      kit: gnome-kit
      original.package.name: gnome-base/libgnomecanvas
      original.package.slot: "0"
      original.package.version: 2.30.3-r1
    treedir: /build/packages
  package_dir: /pkgdir/libgnomecanvas
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c4a2551df2dd679a0dd3d54df13d2a3522df678037decdd733756c62df0d3f88
compressiontype: zstd
files:
- usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-bpath.h
- usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-clipgroup.h
- usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-line.h
- usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-path-def.h
- usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-pixbuf.h
- usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-polygon.h
- usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-rect-ellipse.h
- usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-rich-text.h
- usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-shape.h
- usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-text.h
- usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-util.h
- usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-widget.h
- usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas.h
- usr/include/libgnomecanvas-2.0/libgnomecanvas/libgnomecanvas.h
- usr/lib64/libgnomecanvas-2.so
- usr/lib64/libgnomecanvas-2.so.0
- usr/lib64/libgnomecanvas-2.so.0.3000.3
- usr/lib64/pkgconfig/libgnomecanvas-2.0.pc
- usr/share/doc/libgnomecanvas-2.30.3-r1/AUTHORS.bz2
- usr/share/doc/libgnomecanvas-2.30.3-r1/ChangeLog.bz2
- usr/share/doc/libgnomecanvas-2.30.3-r1/NEWS.bz2
- usr/share/doc/libgnomecanvas-2.30.3-r1/README.bz2
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvas.html
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasBpath.html
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasClipgroup.html
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasEllipse.html
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasGroup.html
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasItem.html
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasLine.html
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasPixbuf.html
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasPolygon.html
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasRE.html
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasRect.html
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasRichText.html
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasShape.html
- usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasWidget.html
- usr/share/gtk-doc/html/libgnomecanvas/ch01.html
- usr/share/gtk-doc/html/libgnomecanvas/ch02.html
- usr/share/gtk-doc/html/libgnomecanvas/home.png
- usr/share/gtk-doc/html/libgnomecanvas/index.html
- usr/share/gtk-doc/html/libgnomecanvas/index.sgml
- usr/share/gtk-doc/html/libgnomecanvas/left.png
- usr/share/gtk-doc/html/libgnomecanvas/libgnomecanvas-gnome-canvas-path-def.html
- usr/share/gtk-doc/html/libgnomecanvas/libgnomecanvas-gnome-canvas-text.html
- usr/share/gtk-doc/html/libgnomecanvas/libgnomecanvas-gnome-canvas-util.html
- usr/share/gtk-doc/html/libgnomecanvas/libgnomecanvas.devhelp
- usr/share/gtk-doc/html/libgnomecanvas/libgnomecanvas.devhelp2
- usr/share/gtk-doc/html/libgnomecanvas/right.png
- usr/share/gtk-doc/html/libgnomecanvas/style.css
- usr/share/gtk-doc/html/libgnomecanvas/up.png
- usr/share/locale/am/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ang/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ar/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/as/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ast/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/az/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/be/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/bg/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/bn/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/bn_IN/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/br/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/bs/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ca/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/crh/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/cs/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/cy/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/da/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/de/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/dz/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/el/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/en@shaw/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/en_CA/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/en_GB/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/eo/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/es/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/et/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/eu/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/fa/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/fi/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/fr/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ga/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/gl/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/gu/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/he/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/hi/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/hr/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/hu/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/id/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/is/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/it/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ja/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ka/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/kn/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ko/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ku/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/li/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/lt/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/lv/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/mai/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/mg/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/mk/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ml/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/mn/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/mr/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ms/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/nb/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ne/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/nl/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/nn/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/oc/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/or/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/pa/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/pl/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/pt/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/pt_BR/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ro/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ru/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/rw/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/sk/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/sl/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/sq/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/sr/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/sr@ije/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/sr@latin/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/sv/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ta/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/te/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/th/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/tr/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/tt/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/ug/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/uk/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/vi/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/wa/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/xh/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/yi/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/zh_CN/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/zh_HK/LC_MESSAGES/libgnomecanvas-2.0.mo
- usr/share/locale/zh_TW/LC_MESSAGES/libgnomecanvas-2.0.mo
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/BUILD_TIME
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/CATEGORY
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/CBUILD
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/CFLAGS
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/CHOST
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/CONTENTS
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/COUNTER
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/CXXFLAGS
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/DEFINED_PHASES
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/DEPEND
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/DESCRIPTION
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/EAPI
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/FEATURES
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/HOMEPAGE
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/INHERITED
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/IUSE
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/IUSE_EFFECTIVE
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/KEYWORDS
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/LDFLAGS
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/LICENSE
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/NEEDED
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/PF
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/PROVIDES
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/RDEPEND
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/REQUIRES
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/SIZE
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/SLOT
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/USE
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/environment.bz2
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/libgnomecanvas-2.30.3-r1.ebuild
- var/db/pkg/gnome-base/libgnomecanvas-2.30.3-r1/repository
package_cacheimage: ""
runtime:
  name: libgnomecanvas
  version: 2.30.3
  category: gnome-base
  use_flags:
  - -glade
  - -test
  - prefix
  requires:
  - name: glib
    version: '>=0'
    category: dev-libs-2
  - name: libart_lgpl
    version: '>=0'
    category: media-libs
  - name: gtk+
    version: '>=0'
    category: x11-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The Gnome 2 Canvas library
  uri:
  - https://library.gnome.org/devel/libgnomecanvas/stable/
  license: LGPL-2
  labels:
    DEPEND: '>=dev-libs/glib-2.62.2:2[-mgorny(-)] >=x11-libs/gtk+-2.24.23:2[-mgorny(-)]
      >=media-libs/libart_lgpl-2.3.21-r2[-mgorny(-)] >=x11-libs/pango-1.44.7[-mgorny(-)]
      glade? ( >=gnome-base/libglade-2.6.4-r1:2.0[-mgorny(-)] ) >=dev-lang/perl-5
      sys-devel/gettext >=dev-util/intltool-0.35 >=virtual/pkgconfig-0-r1[-mgorny(-)]
      >=app-portage/elt-patches-20170815 dev-util/desktop-file-utils x11-misc/shared-mime-info
      test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost )'
    IUSE: glade abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64 test
    RDEPEND: '>=dev-libs/glib-2.62.2:2[-mgorny(-)] >=x11-libs/gtk+-2.24.23:2[-mgorny(-)]
      >=media-libs/libart_lgpl-2.3.21-r2[-mgorny(-)] >=x11-libs/pango-1.44.7[-mgorny(-)]
      glade? ( >=gnome-base/libglade-2.6.4-r1:2.0[-mgorny(-)] )'
    emerge.packages: gnome-base/libgnomecanvas
    kit: gnome-kit
    original.package.name: gnome-base/libgnomecanvas
    original.package.slot: "0"
    original.package.version: 2.30.3-r1
